#ifndef INPUTD_GUARD_UUID_985ADC5C_0D0B_439F_9A49_8E3CAEEFD66F
#define INPUTD_GUARD_UUID_985ADC5C_0D0B_439F_9A49_8E3CAEEFD66F 1

#include <glib.h>
#include "devmanager.h"

extern gboolean brain_need_mouse_emulation(InputDevice *inputdev,
    unsigned long *key_bits, guint len);

extern void brain_submit_event(InputDevice *inputdev, struct input_event *ev);
extern void brain_determine_additional_bits(InputDevice *inputdev,
    guint16 type, unsigned long *bits, guint len);

extern gboolean brain_init(void);
extern void brain_exit(void);

#endif

/* vim: set sw=4 sts=4 et foldmethod=marker : */
