#ifndef INPUTD_GUARD_UUID_8A611BB9_C0EC_4F24_A637_20F7B6E668C9
#define INPUTD_GUARD_UUID_8A611BB9_C0EC_4F24_A637_20F7B6E668C9 1

#include <glib.h>

#include "common.h"

extern ConfigTranslation *new_config_translation(GList *key_defs,
    KeyDefinition *target);
extern void free_config_translation(ConfigTranslation *cfgtr);
extern void set_translations(GList **to, GList *translations);

extern gboolean config_parse_cmdline(int argc, char *argv[]);

extern gboolean config_init(void);
extern void config_exit(void);

#endif

/* vim: set sw=4 sts=4 et foldmethod=marker : */
