#ifndef INPUTD_GUARD_UUID_97A66B21_E9F0_4958_AD82_CE9D06EB60DF
#define INPUTD_GUARD_UUID_97A66B21_E9F0_4958_AD82_CE9D06EB60DF 1

#include <glib.h>
#include <linux/input.h>
#include "common.h"

typedef void (DeviceCallback)(InputDevice *inputdev, gpointer user_data);

extern void devmanager_foreach_dev(DeviceCallback cb, gpointer user_data);
extern GList *devmanager_device_list();

extern gboolean devmanager_init(void);
extern void devmanager_exit(void);

#endif

/* vim: set sw=4 sts=4 et foldmethod=marker : */
