#ifndef INPUTD_GUARD_UUID_C61682A6_EAAD_4913_8466_457074C0C6DD
#define INPUTD_GUARD_UUID_C61682A6_EAAD_4913_8466_457074C0C6DD 1

#include <glib.h>
#include "devmanager.h"

extern void event_source_create(InputDevice *inputdev, int fd);
extern void event_source_add_watch(InputDevice *inputdev);
extern void event_source_destroy(InputDevice *inputdev);

extern gboolean event_source_grab(InputDevice *inputdev, gboolean grab);
extern gboolean event_source_reset(InputDevice *inputdev);

extern gboolean event_source_write_event(InputDevice *inputdev, guint16 type, guint16 code, gint32 value);
static inline gboolean event_source_write_sync(InputDevice *inputdev) {
    return event_source_write_event(inputdev, EV_SYN, SYN_REPORT, 0);
}

#endif

/* vim: set sw=4 sts=4 et foldmethod=marker : */
