#ifndef INPUTD_GUARD_UUID_FAFD6FCF_5FD7_4077_837D_566772906DB2
#define INPUTD_GUARD_UUID_FAFD6FCF_5FD7_4077_837D_566772906DB2 1

#include <glib.h>
#include <sys/inotify.h>

/* Opaque type */
typedef GIOChannel Inotify;

typedef gboolean (*InotifyCb)(Inotify *, const char *, int, unsigned int, unsigned int);

Inotify* my_inotify_open(void);

void my_inotify_set_callback(Inotify *, InotifyCb);

int my_inotify_add_watch(Inotify *, const char *, guint32);
gboolean my_inotify_rm_watch(Inotify *, const int);

void my_inotify_close(Inotify *);

#endif

/* vim: set sw=4 sts=4 et foldmethod=marker : */
