#ifndef INPUTD_GUARD_UUID_5E928E7F_2865_48DB_983A_A63F26020A8B
#define INPUTD_GUARD_UUID_5E928E7F_2865_48DB_983A_A63F26020A8B 1

#include <glib.h>
#include "common.h"

#ifndef NBITS
#define NBITS(type) (sizeof(type) * 8)
#endif

enum {
    KEY_FLAG_BUTTON = 0x01,
    KEY_FLAG_MODIFIER = 0x02,
};

typedef struct {
    char *name;
    guint16 code;
    guint8 flags;
} KeyDefinition;

extern KeyDefinition key_defs[];

extern KeyDefinition *key_by_code(const guint16 code);
extern KeyDefinition *key_by_name(const gchar *name);

#endif

/* vim: set sw=4 sts=4 et foldmethod=marker : */
