#!/bin/bash

timeout=10

cd ../src || exit 1

make inputd || exit 1

pid="$$"
(
    sleep "$[timeout + 1]"

    if kill -0 "${pid}" 2>/dev/null
    then
        kill "${pid}" && sleep 1
        if kill -0 "${pid}" 2>/dev/null
        then
            kill -9 "${pid}"
        fi
    fi
) &

exec ./inputd "$@" --quit-timeout="${timeout}"
